Package: org.grails.gradle.plugin.util

## [Groovy] Class SourceSets

- org.grails.gradle.plugin.util.SourceSets

- Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static org.gradle.api.tasks.SourceSet` | `findMainSourceSet(org.gradle.api.Project project)` Finds the main SourceSet for the project
    `` | `static org.gradle.api.tasks.SourceSet` | `findSourceSet(org.gradle.api.Project project, java.lang.String name)` Finds the main SourceSet for the project
    `` | `static org.gradle.api.tasks.SourceSetContainer` | `findSourceSets(org.gradle.api.Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### static org.gradle.api.tasks.SourceSet findMainSourceSet(org.gradle.api.Project project)

      Finds the main SourceSet for the project

      Parameters:
        `project` - The project
      Returns:
        The main source set or null if it can't be found

    - #### static org.gradle.api.tasks.SourceSet findSourceSet(org.gradle.api.Project project, java.lang.String name)

      Finds the main SourceSet for the project

      Parameters:
        `project` - The project
      Returns:
        The main source set or null if it can't be found

    - #### static org.gradle.api.tasks.SourceSetContainer findSourceSets(org.gradle.api.Project project)